<h1>
    Debug Log
</h1>
<?php
$debug_file = TRAFFIC_SUMO_DIR .'debug.log';
$content = 'Debug log empty';
if(file_exists($debug_file)){
    $content = file_get_contents($debug_file);
}
?>
<section  class="trafficsumo__admin-container" style="max-height: 80vh; overflow-y: auto">
    <pre style="background: #333; color: #fff; ">
        <?php echo $content; ?>
    </pre>
    <style>
        pre{
            background: #333!important;
        }
    </style>
</section>
<div style="padding-top: 20px">
    <a href="javascript:void(0)" class="button-primary" id="emptyDebugLog">Empty Log</a>
    <a href="javascript:void(0)" class="button-primary" id="reloadDebugLog">Reload Debug Log</a>
</div>
<script defer type="application/javascript">
    jQuery(document).ready(function ($) {
        $('#emptyDebugLog').click(function (event) {
            event.preventDefault()
            $('.trafficsumo__admin-container > pre').html('Loading...')
            $.ajax({
                url: "<?php echo admin_url('admin-post.php?action=debug_log_empty') ?>", // <-- point to server-side PHP script
                dataType: 'text',  // <-- what to expect back from the PHP script, if anything
                cache: false,
                contentType: false,
                processData: false,
                data: {},
                type: 'post',
                success: function(){
                    $('.trafficsumo__admin-container > pre').html('')
                }
            });
        })
        $('#reloadDebugLog').click(function (event) {
            event.preventDefault()
            $('.trafficsumo__admin-container > pre').html('Loading...')
            $.ajax({
                url: "<?php echo admin_url('admin-post.php?action=debug_log_reload') ?>", // <-- point to server-side PHP script
                dataType: 'text',  // <-- what to expect back from the PHP script, if anything
                cache: false,
                contentType: false,
                processData: false,
                data: {},
                type: 'post',
                success: function(response){
                    $('.trafficsumo__admin-container > pre').html(response)
                }
            });
        })
    })
</script>