<?php
/*

Plugin Name: Traffic Sumo

Plugin URI: https://marketingsumo.co/trafficsumo/

Description: Traffic Sumo presents your website domain rating and basic traffic information retrieved from Moz and Google Analytics in a simple, easy to understand manner. This is useful for content creators to showcase their traffic to potential clients.

Version: 1.0

Author: Marketing Sumo

Author URI: https://marketingsumo.co/

License: GPLv2 or later

Text Domain: traffic-sumo

*/

define('TRAFFIC_SUMO_URL', plugin_dir_url( __FILE__ ));
define('TRAFFIC_SUMO_DIR', plugin_dir_path( __FILE__ ));

require __DIR__ . '/vendor/autoload.php';

use TrafficSumo\cron_job\Cron_Job;
use TrafficSumo\page_option\Setting_Page;
use TrafficSumo\short_code\Short_code;

new Setting_Page();
new Cron_Job();
new Short_code();